> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Provider By Id

> Update Provider



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json put /api/v1/provider/{provider_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/provider/{provider_id}:
    put:
      tags:
        - Provider
      summary: Update Provider By Id
      description: Update Provider
      operationId: update_provider_by_id_api_v1_provider__provider_id__put
      parameters:
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Provider Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IProviderUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPutResponseBase_IProviderUpdate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IProviderUpdate:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        provider_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Key
        provider_name:
          anyOf:
            - $ref: '#/components/schemas/IProviderEnum'
            - type: 'null'
        attributes:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Attributes
        status:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Status
      type: object
      title: IProviderUpdate
    IPutResponseBase_IProviderUpdate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data updated successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IProviderUpdate'
            - type: 'null'
      type: object
      title: IPutResponseBase[IProviderUpdate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IProviderEnum:
      type: string
      enum:
        - openai
        - elevenlabs
        - azure_speech
        - cartesia
        - playht
      title: IProviderEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````